Package org.apache.jmeter.samplers

# Interface SampleMonitor

All Known Implementing Classes:
  `SampleTimeout`

public interface SampleMonitor
Allows notification just before and just after a sample is invoked. Intended for the SampleTimeout test element

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `sampleEnded(Sampler sampler)`
  Will be called when a sample has just finished
  `void`
  `sampleStarting(Sampler sampler)`
  Will be called when a sample is about to start

- ## Method Details

  - ### sampleStarting

    void sampleStarting(Sampler sampler)
    Will be called when a sample is about to start
    Parameters:
      `sampler` - sample that will be started

  - ### sampleEnded

    void sampleEnded(Sampler sampler)
    Will be called when a sample has just finished
    Parameters:
      `sampler` - finished sample